<template>
  <el-row :gutter="20">
    <el-col>
      <p class="title">Лицензии</p>
    </el-col>
    <el-col class="defaultForeachItem" v-for="item in info" v-bind:key="item.id">
      <el-row :gutter="20">
        <el-col :sm="{span: 12}">
          <p class="defaultText">
                  <span>
                    <span class="label">Номер лицензии</span>
                    {{ item.nomer_licenzii }}
                  </span>
          </p>
        </el-col>
        <el-col :sm="{span: 12}">
          <p class="defaultText">
                  <span>
                    <span class="label">Вид деятельности</span>
                    {{ item.vid_deyatelnosti }}
                  </span>
          </p>
        </el-col>
        <el-col :sm="{span: 8}">
          <p class="defaultText">
                  <span>
                    <span class="label">Кем выдана</span>
                    {{ item.kem_vydana }}
                  </span>
          </p>
        </el-col>
        <el-col :sm="{span: 8}">
          <p class="defaultText">
                  <span>
                    <span class="label">Дата выдачи</span>
                    {{ dateFormat(item.start_date) }}
                  </span>
          </p>
        </el-col>
        <el-col :sm="{span: 8}">
          <p class="defaultText">
                  <span>
                    <span class="label">Годна до</span>
                    {{ dateFormat(item.end_date) }}
                  </span>
          </p>
        </el-col>
      </el-row>
    </el-col>
  </el-row>
</template>

<script>
import moment from "moment";

export default {
  props:{
    info:[Object, Array],
  },
  methods:{
    dateFormat(data){
      if(data !== ''){
        return moment(data).format('DD.MM.YYYY')
      }else{
        return '-'
      }
    },
  }
}
</script>